NOTE - CANCELS COMMAND FILE TO ENTER CANCELLED CHECKS
*   
*  - message to be displayed on screen
REMARK ENTER CHECK NUMBER OF 0 TO EXIT
*  - loop while check number not equal to zero
DO WHILE T
  ? 
  INPUT "ENTER CANCELLED CHECK NO" TO C:CAN
  *  - testing for zero check number
  IF C:CAN=0
     RETURN
  ENDIF
  *  - position to top of database file
  GO TOP
  *  - search for cancelled check number
  LOCATE FOR C:CAN=NO
  *  - testing to see if at end of database file
  IF .NOT.EOF
     *  - if not at end of file
     ?
     *  - display check data
     DISP OFF 'Payed to ',TO,' on ',DATE
     DISP OFF 'Amount of check is ',AMT
     *  - ask if this is right check
    INPUT 'Is this the one? (Y/N)' to ANSWER
     IF ANSWER
        *  - change logical flag for cancelled check
        REPLACE CAN WITH T
     ENDIF
  ELSE
     *  - message to tell user his check is not in file.
     DISP OFF 'Check ',C:CAN,' cannot be found'
  ENDIF
ENDDO
RETURN
